{
  "name": "@brewen.dev/source",
  "version": "0.0.0",
  "license": "GPL-3.0-or-later",
  "scripts": {
    "start:all": "npx nx run-many --target=start --all",
    "start:front": "npx nx run @brewen.dev/front:serve-static",
    "start:back": "npx nx run @brewen.dev/back:start",
    "serve:all": "nx run-many --target=serve --all",
    "serve:front": "nx run @brewen.dev/front:serve",
    "serve:back": "nx run @brewen.dev/back:serve",
    "serve:front:prod": "nx run @brewen.dev/front:serve-static",
    "serve:back:prod": "nx run @brewen.dev/back:serve:production",
    "build:all": "nx run-many --target=build --all",
    "build:front": "nx run @brewen.dev/front:build",
    "build:back": "nx run @brewen.dev/back:build",
    "build:front:dev": "nx run @brewen.dev/front:build:development",
    "build:back:dev": "nx run @brewen.dev/back:build:development",
    "build:front:prod": "nx run @brewen.dev/front:build:production",
    "build:back:prod": "nx run @brewen.dev/back:build:production",
    "test:all": "nx run-many --target=test --all",
    "test:front": "nx run @brewen.dev/front:test",
    "test:back": "nx run @brewen.dev/back:test",
    "test:front:watch": "nx run @brewen.dev/front:test --watch",
    "test:back:watch": "nx run @brewen.dev/back:test --watch",
    "test:front:ci": "nx run @brewen.dev/front:test:ci",
    "test:back:ci": "nx run @brewen.dev/back:test:ci",
    "e2e:all": "nx run-many --target=e2e --all",
    "e2e:front": "nx run @brewen.dev/front-e2e:e2e",
    "e2e:back": "nx run @brewen.dev/back-e2e:e2e",
    "e2e:front:ci": "nx run @brewen.dev/front-e2e:e2e:ci",
    "e2e:back:ci": "nx run @brewen.dev/back-e2e:e2e:ci",
    "e2e:front:prod": "nx run @brewen.dev/front-e2e:e2e:production",
    "e2e:back:prod": "nx run @brewen.dev/back-e2e:e2e:production",
    "lint:all": "nx run-many --target=lint --all",
    "lint:front": "nx run @brewen.dev/front:lint",
    "lint:back": "nx run @brewen.dev/back:lint",
    "lint:front-e2e": "nx run @brewen.dev/front-e2e:lint",
    "lint:back-e2e": "nx run @brewen.dev/back-e2e:lint",
    "format": "nx format:write --libs-and-apps"
  },
  "private": true,
  "engines": {
    "node": "^18.17.0",
    "pnpm": "~8.7.6"
  },
  "workspaces": [
    "apps/**/*",
    "libs/**/*"
  ],
  "dependencies": {
    "@swc/helpers": "~0.5.2"
  },
  "devDependencies": {
    "@nx/cypress": "16.9.0",
    "@nx/eslint-plugin": "16.9.0",
    "@nx/jest": "16.9.0",
    "@nx/js": "16.9.0",
    "@nx/linter": "16.9.0",
    "@nx/nest": "^16.9.0",
    "@nx/node": "16.9.0",
    "@nx/plugin": "^16.9.0",
    "@nx/web": "16.9.0",
    "@nx/webpack": "16.9.0",
    "@nx/workspace": "16.9.0",
    "@schematics/angular": "~16.2.3",
    "@storybook/blocks": "^7.4.5",
    "@swc-node/register": "~1.6.7",
    "@swc/cli": "~0.1.62",
    "@swc/core": "~1.3.88",
    "@types/jest": "^29.5.5",
    "@types/node": "~18.7.23",
    "@typescript-eslint/eslint-plugin": "^5.62.0",
    "@typescript-eslint/parser": "^5.62.0",
    "cypress": "^13.2.0",
    "eslint": "~8.46.0",
    "eslint-config-prettier": "8.1.0",
    "eslint-plugin-cypress": "^2.15.1",
    "jest": "^29.7.0",
    "jest-environment-jsdom": "^29.7.0",
    "jest-environment-node": "^29.7.0",
    "jest-junit": "^16.0.0",
    "jest-preset-angular": "~13.1.2",
    "jsonc-eslint-parser": "^2.3.0",
    "nx": "16.9.0",
    "nx-cloud": "latest",
    "prettier": "^2.8.8",
    "source-map-support": "^0.5.21",
    "ts-jest": "^29.1.1",
    "ts-loader": "^9.4.4",
    "ts-node": "~10.9.1",
    "tsconfig-paths": "^4.2.0",
    "typescript": "~5.1.6"
  }
}
